%define upstream_name    Dist-Zilla-Plugin-MetaProvides
%define upstream_version 1.12044806

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    In the event nothing else works, pull in hand-crafted metadata from a specified file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Discover)
BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(ExtUtils::Manifest) >= 1.560.0
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Find::Rule::Perl)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Extract::Namespaces)
BuildRequires: perl(Module::Extract::VERSION)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
#BuildRequires: perl(MooseX::Declare)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Path::Class::Dir)
BuildRequires: perl(Path::Class::File)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(aliased)
BuildRequires: perl(namespace::autoclean)

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

Requires: perl(Module::Extract::Namespaces)
Requires: perl(Module::Extract::VERSION)
Requires: perl(aliased)

%description
This Distribution Contains a small bundle of plugins for various ways of
populating the 'META.yml' that is built with your distribution.

The initial reason for this is due to stuff that uses the MooseX::Declare
manpage style class definitions not being parseable by many tools upstream,
so this is here to cover this problem by defining it in the metadata.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Apr 23 2011 Funda Wang <fwang@mandriva.org> 1.120.448.60-2mdv2011.0
+ Revision: 657435
- rebuild for updated spec-helper

* Mon Mar 07 2011 Sandro Cazzaniga <kharec@mandriva.org> 1.120.448.60-1
+ Revision: 642419
- new version
- remove %%check
- remove a BR that block build
- add a BR on Module::Build

* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 1.110.342.10-1mdv2011.0
+ Revision: 561570
- update to 1.11034201
- adding missing buildrequires:
- update to 1.10027802

* Thu Jan 14 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.19.190-3mdv2010.1
+ Revision: 491545
- adding missing requires:

* Thu Jan 14 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.19.190-2mdv2010.1
+ Revision: 491510
- adding missing requires:

* Thu Sep 17 2009 Jérôme Quelin <jquelin@mandriva.org> 1.100.19.190-1mdv2010.0
+ Revision: 443932
- update to 1.10001919

* Thu Sep 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.100.4.170-1mdv2010.0
+ Revision: 427898
- update to 1.10000417

* Wed Aug 19 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.2.200-1mdv2010.0
+ Revision: 417927
- adding missing buildrequires:
- adding missing buildrequires:
- adding missing buildrequires:
- import perl-Dist-Zilla-Plugin-MetaProvides


* Tue Aug 18 2009 cpan2dist 1.0920022-1mdv
- initial mdv release, generated with cpan2dist
